/*=================
Cookie Hint
=================*/

/* Cookie hint container */
#redim-cookiehint-modal #redim-cookiehint {
  background: var(--secondary) !important;
  border: 1px solid var(--secondary) !important;
  border-radius: 0px;
}

/* Headline */
#redim-cookiehint .cookiehead .headline {
 color: var(--titel);
 font-family: 'Segoe UI Variable', sans-serif;
  font-weight: 400;
      font-size: 2.5rem;
    line-height: 40px;
    letter-spacing: -1px;
    text-transform: uppercase;
}

/* Text content */
#redim-cookiehint .cookiecontent p {
 /* color: var(--Ash-100);*/
  line-height: 28px;
    font-family: 'Segoe UI Variable', sans-serif;
  font-size:16px;
}

/* Buttons – shared base */
#redim-cookiehint .cookiebuttons .btn {
  background: var(--accent) !important;
  color: var(--secondary) !important;

  border: 1px solid var(--accent) !important;
  border-radius: 0 !important;
  font-family: "UniversLTStd", sans-serif;
  font-size:16px;
  text-decoration: none;
  cursor: pointer;
  padding-top: 14px;
  padding-bottom:14px;
  transition: background-color 0.3s ease, color 0.3s ease;
}

/* Accept button hover */
#redim-cookiehint .cookiebuttons #cookiehintsubmit:hover,
#redim-cookiehint .cookiebuttons #cookiehintsubmit:focus-visible {
  background: var(--secondary) !important;
  color: var(--accent) !important;
  border-color: var(--accent) !important;
}

/* Reject button (inverted) */
#redim-cookiehint .cookiebuttons #cookiehintsubmitno {
  background: var(--primary) !important ;
  color: var(--accent) !important;
  border-color: var(--primary) !important;
}

/* Reject button hover */
#redim-cookiehint .cookiebuttons #cookiehintsubmitno:hover,
#redim-cookiehint .cookiebuttons #cookiehintsubmitno:focus-visible {
  background: var(--secondary) !important;
  color: var(--accent) !important;
    border-color: var(--accent) !important;
}

/* Info links */
#redim-cookiehint #cookiehintinfo,
#redim-cookiehint #cookiehintinfo a {
  color: var(--primary);
}

#redim-cookiehint #cookiehintinfo a:hover,
#redim-cookiehint #cookiehintinfo a:focus-visible {
  text-decoration: underline;
}